package com.zy.bms.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.bms.common.io.pc.ItemIO;
import com.zy.bms.mapper.ItemMapper;
import com.zy.bms.model.Admin;
import com.zy.bms.model.Item;
import com.zy.bms.service.IItemService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 项目表 服务实现类
 * </p>
 *
 * @author chenyi
 * @since 2021-05-19
 */
@Service
public class ItemServiceImpl extends ServiceImpl<ItemMapper, Item> implements IItemService {

    @Override
    public IPage<Item> listPage(ItemIO io) {
        Page<Item> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }

    @Override
    public boolean checkRepeat(String code) {
        return baseMapper.checkRepeat(code) > 0;
    }

    /**
     * 更新用户状态
     *
     * @param id     主键ID
     * @param status 状态
     */
    @Override
    public void updateStatus(Integer id, Integer status) {
        UpdateWrapper<Item> updateWrapper = new UpdateWrapper<>();
        updateWrapper.set("status", status).eq("id", id);
        update(updateWrapper);
    }
}
